Doomsday Engine - Feature #1203

Additional save slots — revised save management
2003-06-20 19:42 - skyjake

Status: Progressed Start date: 2003-06-20
Priority: High % Done: 30%
Assignee: skyjake

Category: Redesign

Target version: 3.0

Description

How about an option to have more than 8 savegames in
jdoom, ideally 8 per custom wad file. Or somthing like
that.

Rob.

Labels: User Interface

Related issues:

Related to Bug #994: Input box is too narrow in Save menu Closed 2012-03-03
Related to Feature #2177: Savegames are not completely separated between prof... Closed 2016-09-04
Related to Feature #1480: Include screenshot in savegames New 2007-03-21
Related to Feature #1976: Replace old Save/Load menu with new Ul widgets New 2015-02-12
Related to Bug #1735: Doom2 PWAD save games use level name from IWAD New 2014-03-13
History

#1 - 2012-08-28 18:06 - skyjake

(originally posted by anonymous SF.net user)
Logged In: NO

I'd actually like to see a more sophisticated save system than
that... | forget the port, but I've seen one with thumbnails of
the level. That'd be a nice option. Also, saving game
settings & info (i.e. health, ammo, difficulty, WADs used,
etc.) would be nice.

#2 - 2016-08-09 10:34 - skyjake
- Priority changed from Normal to High

#3 - 2016-08-09 10:46 - skyjake
- Tags set to SaveGame
- Subject changed from Additional Save Slots to Additional save slots — revised save management

- Category set to Redesign

#4 - 2016-09-04 09:29 - skyjake

- Related to Feature #2177: Savegames are not completely separated between profiles added

#5 - 2019-11-29 16:18 - skyjake

- Status changed from New to Progressed
- Assignee set to skyjake

- Target version set to 3.0

- % Done changed from 0 to 30

Savegame folders are now specific to game profile.

Still could use an infinite number of save slots, though. Make the save menu scrollable and add screenshots.
#6 - 2019-11-29 16:18 - skyjake

- Related to Feature #1480: Include screenshot in savegames added

#7 - 2019-11-29 21:56 - skyjake
- Related to Feature #1976: Replace old Save/Load menu with new Ul widgets added

#8 - 2019-11-29 22:59 - skyjake
- Related to Bug #1735: Doom2 PWAD save games use level name from IWAD added
